Skip to main content
`Ctrl`+`K`

# PEPGetDS

Obtain the direct solver object associated to the polynomial eigensolver object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetDS(PEP pep,DS *ds)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- ds - direct solver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetDS()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages